import request from '@/utils/request'

//查询受理部门列表
export function searchDeptList(query) {
  return request({
    url: '/cs/csStatistics/searchDeptList',
    method: 'get',
    params: query
  })
}
// 查询工单数量统计信息
export function searchResourceOrderApplyStatisticsInfo(query) {
  return request({
    url: '/cs/csStatistics/searchResourceOrderApplyStatisticsInfo',
    method: 'get',
    params: query
  })
}
//工单相应时长统计
export function getOrderResponseTimeStatistics(query) {
  return request({
    url: '/cs/csStatistics/getOrderResponseTimeStatistics',
    method: 'get',
    params: query
  })
}
// 导出工单响应时长数据
export function exportOrderResponseTimeStatistics(query) {
  return request({
    url: '/cs/csStatistics/exportOrderResponseTimeStatistics',
    method: 'post',
    params: query
  })
}
// 资源申请类型统计
export function getResourcesContrastNumStatistics(query) {
  return request({
    url: '/cs/csStatistics/getResourcesContrastNumStatistics',
    method: 'get',
    params: query
  })
}

// 工单申请类型统计
export function getOrderContrastNumStatistics(query) {
  return request({
    url: '/cs/csStatistics/getOrderContrastNumStatistics',
    method: 'get',
    params: query
  })
}
// 资源/工单满意度统计
export function getSatisfactionStatistics(data) {
  return request({
    url: '/cs/csStatistics/getSatisfactionStatistics',
    method: 'post',
    data
  })
}
// 单位工单提交统计
export function getWorOrderSubmissionStatistics(data) {
  return request({
    url: '/cs/csStatistics/getWorOrderSubmissionStatistics',
    method: 'post',
    data
  })
}
